Bug 202324 - print/gutenprint-base: unused module directory?
Summary: print/gutenprint-base: unused module directory?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks: 196321 200017
  Show dependency treegraph
 
Reported: 2015-08-14 13:41 UTC by Dmitry Marakasov
Modified: 2015-09-23 00:00 UTC (History)
1 user (show)

See Also:
cmt: maintainer-feedback+


Attachments
fix and modernize gutenprint ports (4.06 KB, patch)
2015-09-13 20:40 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport on gutenprint-base (197.69 KB, text/plain)
2015-09-13 20:42 UTC, Christoph Moench-Tegeder
no flags Details
poudriere testport on gutenprint-cups (146.29 KB, text/plain)
2015-09-13 20:43 UTC, Christoph Moench-Tegeder
no flags Details
Patch (3.95 KB, patch)
2015-09-15 17:50 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-08-14 13:41:18 UTC
gutenprint-base (and all slave ports) create empty modules directory:

pre-install:
    @${MKDIR} ${STAGEDIR}${LOCALBASE}/lib/gutenprint/5.2/modules

it seems like this directory is not used by anything. Should it be created? If it should, should each slave create it as well? If they should, it should be listed in each slave's pkg-plist as @dir. And if it's needed, it should be created under PREFIX, not LOCALBASE
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-08-18 19:09:10 UTC
the modules directory is still referenced in the source code (being a little short on time, I did not check if that code is functional... but at least it isn't us who "invented" this directory).
I can send a quick patch for this, around next weekend, I suppose.
Comment 2 Dmitry Marakasov freebsd_committer 2015-09-10 12:49:05 UTC
Ping?
Comment 3 Christoph Moench-Tegeder freebsd_committer 2015-09-13 20:40:44 UTC
Created attachment 161014 [details]
fix and modernize gutenprint ports

patch relative to /usr/ports.
rollup of PRs 196321 200017 202324
Comment 4 Christoph Moench-Tegeder freebsd_committer 2015-09-13 20:42:48 UTC
Created attachment 161015 [details]
poudriere testport on gutenprint-base
Comment 5 Christoph Moench-Tegeder freebsd_committer 2015-09-13 20:43:30 UTC
Created attachment 161016 [details]
poudriere testport on gutenprint-cups
Comment 6 Christoph Moench-Tegeder freebsd_committer 2015-09-13 20:44:47 UTC
As there were patch conflicts, I rolled up the last gutenprint patches in this diff - perhaps they get committed now.
Comment 7 Dmitry Marakasov freebsd_committer 2015-09-15 17:50:00 UTC
The diff is broken. Your poudriere doesn't run stage-qa which should detect more errors.

- You've removed @dir lib/gutenprint/5.2/modules, this is incorrect as it is still created
- You've changed GUTENPRINTUI2_LIBS to pkgconfig --libs gutenprint, this breaks gimp-gutenprint
- @dir lib/gutenprint/5.2/modules is still mentioned in some slave ports

I've fixed these, attached is complete patch for all gutenprint ports, which build fine. If it's Ok with you, I can commit it right away.
Comment 8 Dmitry Marakasov freebsd_committer 2015-09-15 17:50:23 UTC
Created attachment 161074 [details]
Patch
Comment 9 Dmitry Marakasov freebsd_committer 2015-09-18 13:54:46 UTC
Is the patch OK?
Comment 10 Christoph Moench-Tegeder freebsd_committer 2015-09-22 20:43:00 UTC
looks good to me, and doesn't fall flat on it's face (cannot test more, for lack of hardware).
Go ahead and commit :). Thanks.
Comment 11 commit-hook freebsd_committer 2015-09-22 23:59:35 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep 22 23:59:07 UTC 2015
New revision: 397598
URL: https://svnweb.freebsd.org/changeset/ports/397598

Log:
  - Make GTK2 support optional
  - Fix module directory handling
  - Strip libraries
  - Minor fixes

  PR:		196321, 200017, 202324
  Submitted by:	mazhe@alkumuna.eu, yuri@rawbw.com, amdmi3@FreeBSD.org, cmt@burggraben.net (maintainer)
  Approved by:	cmt@burggraben.net (maintainer)

Changes:
  head/print/gimp-gutenprint/Makefile
  head/print/gutenprint-base/Makefile
  head/print/gutenprint-base/pkg-plist
  head/print/gutenprint-cups/pkg-plist